Android 10-update kan Termux en andere terminal-apps kapot maken

De ware kracht van elk op Linux gebaseerd systeem ligt in de Terminal. Hardcore-gebruikers vertrouwen sterk op deze opdrachtregels of consoles om taken op een computer uit te voeren en te automatiseren zonder het gebruik van een grafische gebruikersinterface.

Voor de overgrote meerderheid zouden computers natuurlijk nauwelijks bruikbaar zijn als ze naar een heleboel 'willekeurige' code op hun computerschermen moesten staren en dat is het verschil tussen de meeste gewone computergebruikers en ervaren gebruikers.

Android 10-update kan Termux en andere terminal-apps kapot maken

Termux op Android

Android is open-source en gebaseerd op een aangepaste versie van de Linux-kernel, wat betekent dat je de inherente voordelen krijgt van het gebruik van een Terminal-applicatie en de talloze gratis tools om te profiteren van en dingen voor elkaar te krijgen, samen met een verfijnde GUI.

Helaas zullen de krachtige terminalfuncties op Android binnenkort verdwijnen. Het blijkt dat Android 10 misschien niet veel langer leuk speelt met terminaltoepassingen zoals Termux.

Kijk, met Android 10 bevat Android een bijgewerkte lijst met beperkte niet-SDK-interfaces. Dat betekent dat apps die zijn ontwikkeld met API 29 (Android 10) zich moeten houden aan een bepaalde reeks regels die onvermijdelijk de functionaliteit van terminal-apps zoals Termux aanzienlijk zullen beperken.

Android 10 staat bijvoorbeeld geen gratis toegang toe tot /sdcard, een map die erg belangrijk is voor het goed werken op Termux.

Android 10-update kan Termux en andere terminal-apps kapot maken

Bron

Op het moment van schrijven is Termux nog gebaseerd op Android 9 (API level 28). Uiteindelijk zal Termux echter gedwongen worden om Android 10 SDK te gebruiken. Hoewel dit Termux niet echt doodt, zal het enkele toegangsproblemen veroorzaken met toegang tot zekerheidsgebieden en het gebruik van bepaalde functies.

Het Termux-team heeft een GitHub-pagina geopend om ideeën van communityleden te verzamelen over hoe ze deze beperking kunnen omzeilen en hopelijk ervoor zorgen dat dingen blijven werken, zelfs op API 29 (Android 10).

De angst en wanhoop onder hardcore terminalgebruikers op Android is immens en velen van hen weten niet welke apparaten ze kunnen gebruiken om hun software-schrijven te blussen.

Dankzij een update in Android 10 (API-niveau 29) die de toegang tot /sdcard beperkt, lopen tools zoals Termux het risico niet meer goed te functioneren.

Bron

We kunnen alleen maar hopen dat de ontwikkelaarsgemeenschap een manier vindt om deze beperking te omzeilen. Als iemand ondanks deze beperkingen een manier kan vinden om Termux goed te laten werken op Android 10, zijn het dezelfde hardcore gebruikers die op tools zoals Termux vertrouwen om dingen voor elkaar te krijgen.

Facebook Twitter Google Plus Pinterest